enum PlatformName {
  web('Web'),
  android('Android'),
  ios('iOS'),
  macos('macOS'),
  windows('Windows'),
  linux('Linux');

  final String name;

  const PlatformName(this.name);
}

class AppDevice {
  String? id;
  String? fingerprint;
  String? brand;
  String? model;
  String? name;
  String? os;
  String? userIdentifier;
  PlatformName? platformName;

  AppDevice(
      {this.brand,
      this.model,
      this.name,
      this.os,
      this.fingerprint,
      this.id,
      this.userIdentifier,
      required this.platformName});

  Map<String, dynamic> toJson() => {
        "id": id,
        "fingerprint": fingerprint,
        "userIdentifier": userIdentifier,
        "brand": brand,
        "model": model,
        "name": name,
        "os": os,
        "platformCode": platformName?.name
      };
}
